Skip to main content
GET
Python

Authorizations

x-api-key
string
header
required

Path Parameters

taskgroup_id
string
required

Query Parameters

last_event_id
string | null
status
enum<string> | null
Available options:
queued,
action_required,
running,
completed,
failed,
cancelling,
cancelled
include_input
boolean
default:false
include_output
boolean
default:false

Response

Successful Response

Event when a task run transitions to a non-active status.

May indicate completion, cancellation, or failure.

type
string
required

Event type; always 'task_run.state'.

Allowed value: "task_run.state"
event_id
string | null
required

Cursor to resume the event stream. Always empty for non Task Group runs.

run
TaskRun · object
required

Task run object.

input
TaskRunInput · object | null

Input to the run; included only if requested.

output
TaskRunTextOutput · object

Output from a task that returns text.